<!doctype html>
<html>
<head>
    <title>ONLYOFFICE Documents</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=IE8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no">
    <link rel="icon" href="resources/img/favicon.ico" type="image/x-icon">

    <!-- splash -->

    <style type="text/css">
        .loadmask {
            left: 0;
            top: 0;
            position: absolute;
            height: 100%;
            width: 100%;
            overflow: hidden;
            border: none;
            background: #F8F9FA;
            z-index: 1001;
        }

        .loadmask > .brendpanel {
            width: 100%;
            min-height: 28px;
            background: #efefef;
        }

        .loadmask > .brendpanel > div {
            display: flex;
            align-items: center;
            height: 28px;
        }

        .loadmask > .brendpanel .spacer {
            margin-left: auto;
        }

        .loadmask > .brendpanel .loading-logo {
            padding: 0 24px 0 12px;
            max-width: 200px;
            height: 20px;
        }

        .loadmask > .brendpanel .loading-logo > img {
            display: inline-block;
            max-width: 100px;
            max-height: 20px;
            opacity: 0;
        }

        .loadmask > .brendpanel .rect {
            vertical-align: middle;
            width: 50px;
            height: 12px;
            border-radius: 3px;
            margin: 0 10px;
            background: #F8F9FA;
        }

        .loadmask > .sktoolbar {
            background: #f1f1f1;
            border-bottom: 1px solid #cfcfcf;
            height: 46px;
            padding: 10px 12px;
            box-sizing: content-box;
        }

        .loadmask > .sktoolbar ul {
            margin: 0;
            padding: 0;
            white-space: nowrap;
            position: relative;
        }

        .loadmask > .sktoolbar li {
            background: #F8F9FA;
            border-radius: 3px;
            width: 20px;
            height: 20px;
            display: inline-block;
            margin-right: 6px;
        }

        .loadmask > .sktoolbar li.space {
            background: none;
            width: 12px;
        }

        .loadmask > .sktoolbar li.fat {
            position: absolute;
            right: 0;
            top: 0;
            bottom: 0;
            left: 612px;
            width: inherit;
            height: 44px;
        }

        .loadmask > .placeholder {
            background: #fbfbfb;
            width: 794px;
            margin: 46px auto;
            height: 100%;
            border: 1px solid #bebebe;
            padding-top: 50px;
        }

        .loadmask > .placeholder > .line {
            height: 15px;
            margin: 30px 80px;
            background: #F8F9FA;
            overflow: hidden;
            position: relative;

            -webkit-animation: flickerAnimation 2s infinite ease-in-out;
            -moz-animation: flickerAnimation 2s infinite ease-in-out;
            -o-animation: flickerAnimation 2s infinite ease-in-out;
            animation: flickerAnimation 2s infinite ease-in-out;
        }

        @keyframes flickerAnimation {
            0%   { opacity:0.5; }
            50%  { opacity:1; }
            100% { opacity:0.5; }
        }
        @-o-keyframes flickerAnimation{
            0%   { opacity:0.5; }
            50%  { opacity:1; }
            100% { opacity:0.5; }
        }
        @-moz-keyframes flickerAnimation{
            0%   { opacity:0.5; }
            50%  { opacity:1; }
            100% { opacity:0.5; }
        }
        @-webkit-keyframes flickerAnimation{
            0%   { opacity:0.5; }
            50%  { opacity:1; }
            100% { opacity:0.5; }
        }
    </style>

    <script>
        document.getElementsByTagName('html')[0].setAttribute('style', 'zoom: ' + 1 / (window.devicePixelRatio < 2 ? window.devicePixelRatio : window.devicePixelRatio / 2) + ';');

        var userAgent = navigator.userAgent.toLowerCase(),
            check = function(regex){ return regex.test(userAgent); },
            stopLoading = false;
        if (!check(/opera/) && (check(/msie/) || check(/trident/))) {
            var m = /msie (\d+\.\d+)/.exec(userAgent);
            if (m && parseFloat(m[1]) < 10.0) {
                document.write(
                    '<div class="app-error-panel">' +
                        '<div class="message-block">' +
                            '<div class="message-inner">' +
                                '<div class="title">Your browser is not supported.</div>' +
                                '<div class="text">Sorry, Document Editor is currently only supported in the latest versions of the Chrome, Firefox, Safari or Internet Explorer web browsers.</div>' +
                            '</div>' +
                        '</div>' +
                    '</div>');
                stopLoading = true;
            }
        } else
        if (check(/windows\snt/i)) {
            var re = /chrome\/(\d+)/i.exec(userAgent);
            if (!!re && !!re[1] && !(re[1] > 49)) {
                setTimeout(function () {
                    document.getElementsByTagName('body')[0].className += "winxp";
                },0);
            }
        }

        function getUrlParams() {
            var e,
                a = /\+/g,  // Regex for replacing addition symbol with a space
                r = /([^&=]+)=?([^&]*)/g,
                d = function (s) { return decodeURIComponent(s.replace(a, " ")); },
                q = window.location.search.substring(1),
                urlParams = {};

            while (e = r.exec(q))
                urlParams[d(e[1])] = d(e[2]);

            return urlParams;
        }

        function encodeUrlParam(str) {
            return str.replace(/&/g, '&amp;')
                    .replace(/"/g, '&quot;')
                    .replace(/'/g, '&#39;')
                    .replace(/</g, '&lt;')
                    .replace(/>/g, '&gt;');
        }

        var params = getUrlParams(),
            lang = (params["lang"] || 'en').split(/[\-\_]/)[0],
            logo = params["headerlogo"] ? encodeUrlParam(params["headerlogo"]) : null;

        window.frameEditorId = params["frameEditorId"];
    </script>

    <!-- debug begin -->
    <link rel="stylesheet/less" type="text/css" href="resources/less/app.less" />
    <!-- debug end -->
</head>
<body>
    <div id="loading-mask" class="loadmask">
        <div class="sktoolbar">
            <ul><li></li><li class="space"></li><li style="width: 255px;"></li><li class="space"></li><li style="width: 180px;"></li><li class="space"></li><li style="width: 60px;"></li><li class="fat"></li></ul>
            <ul><li></li><li class="space"></li><li style="width: 255px;"></li><li class="space"></li><li style="width: 180px;"></li><li class="space"></li><li style="width: 60px;"></li></ul>
        </div>
        <div class="placeholder">
            <div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div>
        </div>
    </div>

    <div id="viewport"></div>

    <script>
        var params = getUrlParams(),
            notoolbar = params["toolbar"] == 'false',
            compact = params["compact"] == 'true',
            view = params["mode"] == 'view';

        (compact || view || notoolbar) && document.querySelector('.brendpanel > :nth-child(2)').remove();

        if (compact || view) {
            if (notoolbar) {
                document.querySelector('.brendpanel > :nth-child(1)').remove();
                document.querySelector('.brendpanel').remove();
            } else
                document.querySelector('.brendpanel > :nth-child(1)').style.height = '32px';
        } else if (notoolbar) {
            document.querySelector('.brendpanel > :nth-child(1)').style.height = '28px';
        }

        if (view || notoolbar) {
            document.querySelector('.sktoolbar').remove();
        }

        if (stopLoading) {
            document.body.removeChild(document.getElementById('loading-mask'));
        } else {
            var elem = document.querySelector('.loading-logo img');
            if (elem) {
                logo && (elem.setAttribute('src', logo));
                elem.style.opacity = 1;
            }
        }
    </script>

    <script src="../../../vendor/svg-injector/svg-injector.min.js"></script>
    <img class="inline-svg" src="../../common/main/resources/img/header/buttons.svg">
    <img class="inline-svg" src="../../common/main/resources/img/header/buttons150.svg">
    <img class="inline-svg" src="../../common/main/resources/img/toolbar/shapetypes.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/docx.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/dotx.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/pdf.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/pdfa.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/txt.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/odt.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/ott.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/rtf.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/html.svg">
    <img class="inline-svg" src="../../common/main/resources/img/doc-formats/blank.svg">
    <script>
        var svgpoints = document.querySelectorAll('img.inline-svg');
        SVGInjector(svgpoints);
    </script>

    <!-- debug begin -->
    <script type="text/javascript">var less=less||{};less.env='development';less.async=true;</script>
    <script src="../../../vendor/less/dist/less.js" type="text/javascript"></script>
    <!-- debug end -->

    <script type="text/javascript" src="../../../vendor/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="../../../vendor/xregexp/xregexp-all-min.js"></script>

    <script type="text/javascript" src="../../../../sdkjs/develop/sdkjs/word/scripts.js"></script>
    <script>
        window.sdk_scripts.forEach(function(item){
            document.write('<script type="text/javascript" src="' + item + '"><\/script>');
        });

        window.requireTimeourError = function(){
            var reqerr;

            if ( lang == 'de')      reqerr = 'Die Verbindung ist zu langsam, einige Komponenten konnten nicht geladen werden. Aktualisieren Sie bitte die Seite.';
            else if ( lang == 'es') reqerr = 'La conexión es muy lenta, algunos de los componentes no han podido cargar. Por favor recargue la página.';
            else if ( lang == 'fr') reqerr = 'La connexion est trop lente, certains des composants n\'ons pas pu être chargé. Veuillez recharger la page.';
            else if ( lang == 'ru') reqerr = 'Слишком медленное соединение, не удается загрузить некоторые компоненты. Пожалуйста, обновите страницу.';
            else reqerr = 'The connection is too slow, some of the components could not be loaded. Please reload the page.';

            return reqerr;
        };
    </script>
    <!-- application -->
    <script data-main="app_dev" src="../../../vendor/requirejs/require.js"></script>
</body>
</html>
